/[gentoo-x86]/sys-devel/gcc/gcc-4.6.0.ebuild
Gentoo

Contents of /sys-devel/gcc/gcc-4.6.0.ebuild

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.7 - (show annotations) (download)
Sat Dec 3 20:28:07 2011 UTC (3 years, 8 months ago) by vapier
Branch: MAIN
Changes since 1.6: +7 -1 lines
Disable fortify patches with older glibcs #362315 by Leonid Volnitsky.

(Portage version: 2.2.0_alpha75/cvs/Linux x86_64)

1 # Copyright 1999-2011 Gentoo Foundation
2 # Distributed under the terms of the GNU General Public License v2
3 # $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/gcc-4.6.0.ebuild,v 1.6 2011/11/09 19:22:57 vapier Exp $
4
5 PATCH_VER="1.2"
6 UCLIBC_VER="1.0"
7
8 # Hardened gcc 4 stuff
9 PIE_VER="0.4.5"
10 SPECS_VER="0.2.0"
11 SPECS_GCC_VER="4.4.3"
12 # arch/libc configurations known to be stable with {PIE,SSP}-by-default
13 PIE_GLIBC_STABLE="x86 amd64 ppc ppc64 arm ia64"
14 PIE_UCLIBC_STABLE="x86 arm amd64 ppc ppc64"
15 SSP_STABLE="amd64 x86 ppc ppc64 arm"
16 # uclibc need tls and nptl support for SSP support
17 SSP_UCLIBC_STABLE=""
18 #end Hardened stuff
19
20 inherit toolchain
21
22 DESCRIPTION="The GNU Compiler Collection"
23
24 LICENSE="GPL-3 LGPL-3 || ( GPL-3 libgcc libstdc++ gcc-runtime-library-exception-3.1 ) FDL-1.2"
25 KEYWORDS=""
26
27 RDEPEND=""
28 DEPEND="${RDEPEND}
29 elibc_glibc? ( >=sys-libs/glibc-2.8 )
30 amd64? ( multilib? ( gcj? ( app-emulation/emul-linux-x86-xlibs ) ) )
31 >=${CATEGORY}/binutils-2.18"
32 PDEPEND="go? ( >=sys-devel/gcc-config-1.5 )"
33
34 if [[ ${CATEGORY} != cross-* ]] ; then
35 PDEPEND="${PDEPEND} elibc_glibc? ( >=sys-libs/glibc-2.8 )"
36 fi
37
38 src_unpack() {
39 if has_version '<sys-libs/glibc-2.12' ; then
40 ewarn "Your host glibc is too old; disabling automatic fortify."
41 ewarn "Please rebuild gcc after upgrading to >=glibc-2.12 #362315"
42 EPATCH_EXCLUDE+=" 10_all_default-fortify-source.patch"
43 fi
44
45 toolchain_src_unpack
46
47 use vanilla && return 0
48
49 [[ ${CHOST} == ${CTARGET} ]] && epatch "${FILESDIR}"/gcc-spec-env.patch
50 }
51
52 pkg_setup() {
53 toolchain_pkg_setup
54
55 ewarn
56 ewarn "LTO support is still experimental and unstable."
57 ewarn "Any bugs resulting from the use of LTO will not be fixed."
58 ewarn
59 }

  ViewVC Help
Powered by ViewVC 1.1.20